> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/alert-actions.md).

# Alert Actions

## GET /alerts/{id}/actions

> Get available actions for specified alert.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Alert Actions"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"AlertActionTrigger":{"type":"object","properties":{"alertActionId":{"type":"string"},"connectorId":{"type":"string"},"type":{"type":"string"},"name":{"type":"string"},"iconUrl":{"type":"string"},"history":{"type":"array","items":{"$ref":"#/components/schemas/AlertActionResult"}}}},"AlertActionResult":{"type":"object","properties":{"id":{"type":"string"},"alertActionId":{"type":"string"},"connectorId":{"type":"string"},"alertId":{"type":"number"},"success":{"type":"boolean"},"actor":{"$ref":"#/components/schemas/User"}}},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."}}},"paths":{"/alerts/{id}/actions":{"get":{"tags":["Alert Actions"],"summary":"Get available actions for specified alert.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"list of alert actions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertActionTrigger"}}}}}}}}}
```

## POST /alerts/{id}/actions

> Invoke a specific alert action.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Alert Actions"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"AlertActionTrigger":{"type":"object","properties":{"alertActionId":{"type":"string"},"connectorId":{"type":"string"},"type":{"type":"string"},"name":{"type":"string"},"iconUrl":{"type":"string"},"history":{"type":"array","items":{"$ref":"#/components/schemas/AlertActionResult"}}}},"AlertActionResult":{"type":"object","properties":{"id":{"type":"string"},"alertActionId":{"type":"string"},"connectorId":{"type":"string"},"alertId":{"type":"number"},"success":{"type":"boolean"},"actor":{"$ref":"#/components/schemas/User"}}},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."}}},"paths":{"/alerts/{id}/actions":{"post":{"tags":["Alert Actions"],"summary":"Invoke a specific alert action.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"the alert action, you might skip the 'history' field","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertActionTrigger"}}},"required":true},"responses":{"201":{"description":"the alert action result, validate the 'success' field","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertActionResult"}}}}}}}}}
```

## GET /alert-actions

> Get alert actions.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Alert Actions"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"AlertAction":{"required":["connectorType","name"],"type":"object","properties":{"id":{"type":"string"},"alertSources":{"type":"array","items":{"$ref":"#/components/schemas/AlertSource"}},"connectorId":{"type":"string"},"connectorType":{"$ref":"#/components/schemas/AlertActionType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"triggerMode":{"type":"string","enum":["AUTOMATIC","MANUAL"]},"bidirectional":{"type":"boolean","readOnly":true},"escalationEndedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'alert-escalation-ended' selected"},"notResolvedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'v-alert-not-resolved' selected"},"triggerTypes":{"type":"array","items":{"type":"string","enum":["alert-created","alert-assigned","alert-auto-escalated","alert-acknowledged","alert-raised","alert-comment-added","alert-escalation-ended","alert-resolved","alert-responder-added","alert-responder-removed","alert-channel-attached","alert-channel-detached","v-alert-not-resolved"]}},"alertFilter":{"type":"object","description":"This field is deprecated, use 'conditions' instead. If both are used this field is ignored.","properties":{"operator":{"type":"string","enum":["AND","OR"]},"predicates":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","enum":["ALERT_SUMMARY","ALERT_DETAILS","ESCALATION_POLICY","ALERT_PRIORITY"]},"criteria":{"type":"string","enum":["CONTAINS_ANY_WORDS","CONTAINS_NOT_WORDS","CONTAINS_STRING","CONTAINS_NOT_STRING","IS_STRING","IS_NOT_STRING","MATCHES_REGEX","MATCHES_NOT_REGEX"]},"value":{"type":"string"}}}}},"deprecated":true},"conditions":{"type":"string","description":"Defines an optional alert filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. Note: this field is an ?include, it will not appear in lists."},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/CParamsDatadog"},{"$ref":"#/components/schemas/CParamsJira"},{"$ref":"#/components/schemas/CParamsMicrosoftTeams"},{"$ref":"#/components/schemas/CParamsMicrosoftTeamsWebhookOnly"},{"$ref":"#/components/schemas/CParamsServiceNow"},{"$ref":"#/components/schemas/CParamsAutotask"},{"$ref":"#/components/schemas/CParamsSlack"},{"$ref":"#/components/schemas/CParamsWebhook"},{"$ref":"#/components/schemas/CParamsZendesk"},{"$ref":"#/components/schemas/CParamsDiscord"},{"$ref":"#/components/schemas/CParamsGithub"},{"$ref":"#/components/schemas/CParamsTopdesk"},{"$ref":"#/components/schemas/CParamsAWSLambda"},{"$ref":"#/components/schemas/CParamsAzureFunction"},{"$ref":"#/components/schemas/CParamsGoogleFunction"},{"$ref":"#/components/schemas/CParamsEmail"},{"$ref":"#/components/schemas/CParamsSysdig"},{"$ref":"#/components/schemas/CParamsZapier"},{"$ref":"#/components/schemas/CParamsZoomChat"},{"$ref":"#/components/schemas/CParamsZoomMeeting"},{"$ref":"#/components/schemas/CParamsStatusPageIO"},{"$ref":"#/components/schemas/CParamsDingTalk"},{"$ref":"#/components/schemas/CParamsDingTalkAction"},{"$ref":"#/components/schemas/CParamsAutomationRule"},{"$ref":"#/components/schemas/CParamsTelegram"},{"$ref":"#/components/schemas/CParamsGoogleChat"},{"$ref":"#/components/schemas/CParamsGoogleChatWebhookOnly"},{"$ref":"#/components/schemas/CParamsZammad"},{"$ref":"#/components/schemas/CParamsAwsEventBridge"},{"$ref":"#/components/schemas/CParamsDynamic"},{"$ref":"#/components/schemas/CParamsSlackWebhookOnly"}]},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"integrationKey":{"type":"string","description":"Only returned for edge connector alert actions, and only to users with update permission.","readOnly":true},"connector":{"$ref":"#/components/schemas/Connector","description":"This is an include field, it is not available in the list resource"}}},"AlertSource":{"required":["escalationPolicy","integrationType","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"name":{"type":"string"},"iconUrl":{"type":"string"},"lightIconUrl":{"type":"string"},"darkIconUrl":{"type":"string"},"escalationPolicy":{"$ref":"#/components/schemas/EscalationPolicy"},"integrationType":{"$ref":"#/components/schemas/IntegrationType"},"integrationKey":{"type":"string"},"integrationUrl":{"type":"string","readOnly":true},"autoResolutionTimeout":{"type":"string","format":"ISO-8601"},"alertGroupingWindow":{"type":"string","format":"ISO-8601"},"alertCreation":{"type":"string","default":"ONE_OPEN_ALERT_ALLOWED","enum":["ONE_ALERT_PER_EMAIL","ONE_ALERT_PER_EMAIL_SUBJECT","ONE_PENDING_ALERT_ALLOWED","ONE_OPEN_ALERT_ALLOWED","OPEN_RESOLVE_ON_EXTRACTION","ONE_ALERT_GROUPED_PER_WINDOW","INTELLIGENT_GROUPING"]},"status":{"type":"string","readOnly":true,"enum":["PENDING","ALL_ACCEPTED","ALL_RESOLVED","IN_MAINTENANCE","DISABLED"]},"active":{"type":"boolean","default":true},"alertPriorityRule":{"$ref":"#/components/schemas/AlertPriorityRule"},"supportHours":{"$ref":"#/components/schemas/SupportHour"},"bidirectional":{"type":"boolean","readOnly":true},"summaryTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"detailsTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"routingTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"linkTemplates":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceLinkTemplate"}},"priorityTemplate":{"$ref":"#/components/schemas/AlertSourcePriorityTemplate"},"severityTemplate":{"$ref":"#/components/schemas/AlertSourceSeverityTemplate"},"eventFilter":{"type":"string","description":"Defines an optional event filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"alertKeyTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"servicesTemplate":{"type":"array","description":"Optional list of templates that extract service identifiers from the inbound event payload. Each rendered value is comma-split, and each resulting token is resolved against the tenant's services by alias or name (case-insensitive). Unmatched tokens are silently dropped. Capped at 10 templates and at the alert's per-event services limit. Note: this field is an ?include, it will not appear in lists.","items":{"$ref":"#/components/schemas/AlertSourceTemplate"}},"eventTypeFilterCreate":{"type":"string","description":"Defines an optional create alert rule in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"eventTypeFilterAccept":{"type":"string","description":"Defines an optional accept alert rule in ICL language This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"eventTypeFilterResolve":{"type":"string","description":"Defines an optional resolve alert rule in ICL language This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"autoRaiseAlerts":{"type":"boolean","description":"Only effective when a support hour is linked to this alert source."},"scoreThreshold":{"type":"number","format":"double","description":"Only used when alertCreation is set to INTELLIGENT_GROUPING."},"severity":{"type":"integer"},"services":{"type":"array","items":{"$ref":"#/components/schemas/Service"}},"setupStatus":{"type":"string","enum":["CREATED","CREATED_ADVANCED","CREATED_BIDIRECTIONAL","FINISHED"]},"autoCreateServices":{"type":"boolean","default":false},"createdAt":{"type":"string","readOnly":true},"updatedAt":{"type":"string","readOnly":true},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EscalationPolicy":{"required":["escalationRules","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"escalationRules":{"type":"array","items":{"$ref":"#/components/schemas/EscalationRule"}},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"repeating":{"type":"boolean","default":false},"frequency":{"maximum":9,"minimum":1,"type":"integer","format":"int32","default":1},"delayMin":{"maximum":15,"minimum":0,"type":"integer","format":"int32","default":0},"routingKey":{"type":"string","description":"optional"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"EscalationRule":{"required":["escalationTimeout"],"type":"object","properties":{"escalationTimeout":{"type":"integer"},"user":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: User) is deprecated, please use 'users' instead"},"schedule":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: Schedule) is deprecated, please use 'schedules' instead"},"team":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: Team) is deprecated, please use 'teams' instead"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserRel"}},"schedules":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleRel"}},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"UserRel":{"required":["id"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"}}},"ScheduleRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string","enum":["STATIC","RECURRING"]}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"IntegrationType":{"type":"string","enum":["NAGIOS","ICINGA","EMAIL2","SMS","API","HEARTBEAT2","PRTG","PINGDOM","CLOUDWATCH","AWSPHD","STACKDRIVER","INSTANA","ZABBIX","SOLARWINDS","PROMETHEUS","NEWRELIC","GRAFANA","GITHUB","DATADOG","UPTIMEROBOT","APPDYNAMICS","DYNATRACE","TOPDESK","STATUSCAKE","TOOL","CHECKMK","AUTOTASK","AWSBUDGET","SYSDIG","SERVERDENSITY","ZAPIER","KENTIXAM","JIRA","CONSUL","ZAMMAD","SPLUNK","SERVICENOW","SEARCHGUARD","KUBERNETES","SIGNALFX","AZUREALERTS","TERRAFORMCLOUD","SENTRY","SEMATEXT","SUMOLOGIC","RAYGUN","MXTOOLBOX","ESWATCHER","AMAZONSNS","KAPACITOR","CORTEXXSOAR","ZENDESK","AUVIK","SENSU","NCENTRAL","JUMPCLOUD","SALESFORCE","GUARDDUTY","STATUSHUB","IXON","APIFORTRESS","FRESHSERVICE","APPSIGNAL","LIGHTSTEP","IBMCLOUDFUNCTIONS","CROWDSTRIKE","HUMIO","OHDEAR","MONGODBATLAS","GITLAB","HYPERPING","PAPRISMACLOUD","SAMSARA","PANDORAFMS","MSSCOM","TWILIO","CISCOMERAKI","CHECKLY","POSTHOG","GOOGLESCC","SLACK","MSTEAMS","UPTIMEKUMA","TWILIOERRORS","PARTICLE","CLOUDFLARE","TULIP","GRAYLOG","CATCHPOINT","LOKI","CORTEX","MIMIR","HALOPSA","INFLUXDB","CALLFLOW","HALOITSM","KIBANA","VICTORIAMETRICS","HONEYCOMB","FOURME","KEEP","UBIDOTS","HETRIXTOOLS","POSTMAN","CLUSTERCONTROL","NETDATA","AWX","KAFKA","MQTT","RAPIDSPIKE","HONEYBADGER","HEALTHCHECKSIO","MEZMO","SERVERGUARD24","CISCOTHOUSANDEYES","SITE24X7","ITCONDUCTOR","SAPFRUN","APICA","DASH0","ROLLBAR","GATUS","LIBRENMS","PANTHER","TEAMCITY","ALIBABACLOUD","FLEETDM","CONNECTWISEPSA","DEADMANSSNITCH","FORTISOAR","OPMANAGER","CRONITOR","DOMOTZ","LIVEWATCH","AZUREDEVOPS","LEVELIO","EKARA","SYSAID","PHAREIO","OPSGENIE","WHATAP","SIGNOZ","GOOGLECHAT","DOTCOMMONITOR","UPTIME","HELPSCOUT","SCIENCELOGIC","PULSETIC","WAZUH","SEKOIA","ZOHODESK","ORACLEENTERPRISEMANAGER","OPENOBSERVE","OPENSEARCH","OPENITCOCKPIT","ODOO","OPENNMS","DBMARLIN","TIDEWAYS","SOPHOS","BLEEMEO"]},"AlertPriorityRule":{"type":"string","enum":["HIGH","LOW","HIGH_DURING_SUPPORT_HOURS","LOW_DURING_SUPPORT_HOURS"]},"SupportHour":{"required":["name","supportDays","timezone"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"timezone":{"$ref":"#/components/schemas/TimeZone"},"supportDays":{"type":"object","properties":{"MONDAY":{"$ref":"#/components/schemas/SupportDay"},"TUESDAY":{"$ref":"#/components/schemas/SupportDay"},"WEDNESDAY":{"$ref":"#/components/schemas/SupportDay"},"THURSDAY":{"$ref":"#/components/schemas/SupportDay"},"FRIDAY":{"$ref":"#/components/schemas/SupportDay"},"SATURDAY":{"$ref":"#/components/schemas/SupportDay"},"SUNDAY":{"$ref":"#/components/schemas/SupportDay"}}},"exceptions":{"type":"array","items":{"$ref":"#/components/schemas/SupportHourException"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"currentStatus":{"type":"string","description":"This is an include field, it is not available in the list resource","enum":["DURING","OUTSIDE"],"readOnly":true}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"SupportDay":{"required":["end","start"],"type":"object","properties":{"start":{"type":"string","format":"time"},"end":{"type":"string","format":"time"}}},"SupportHourException":{"type":"object","required":["name","start","end","supportStatus"],"properties":{"name":{"type":"string"},"start":{"type":"string","format":"date"},"end":{"type":"string","format":"date"},"supportStatus":{"type":"string","enum":["DURING","OUTSIDE"]}}},"AlertSourceTemplate":{"type":"object","properties":{"textTemplate":{"type":"string","description":"For more information on alert source templating, please visit: https://docs.ilert.com/alerting/alert-sources#alert-template.\n\n Example: <br />`Hi {{ users[0].name }} there!` \n\nYou can use the text template instead of elements by adding the include `textTemplate` to your request. Any version can be used for POST or PUT requests."},"elements":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceTemplateElement"}}}},"AlertSourceTemplateElement":{"type":"object","properties":{"type":{"type":"string","enum":["TEXT","VAR","RAW"]},"val":{"type":"string"},"func":{"type":"string"},"args":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceTemplateElementArg"}}}},"AlertSourceTemplateElementArg":{"type":"object","properties":{"S":{"type":"string"},"N":{"type":"integer"}}},"AlertSourceLinkTemplate":{"required":["hrefTemplate","text"],"type":"object","properties":{"text":{"type":"string"},"hrefTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"}}},"AlertSourcePriorityTemplate":{"required":["mappings","valueTemplate"],"type":"object","properties":{"valueTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourcePriorityTemplateMapping"}}}},"AlertSourcePriorityTemplateMapping":{"required":["priority","value"],"type":"object","properties":{"value":{"type":"string"},"priority":{"type":"string","enum":["LOW","HIGH"]}}},"AlertSourceSeverityTemplate":{"required":["mappings","valueTemplate"],"type":"object","properties":{"valueTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceSeverityTemplateMapping"}}}},"AlertSourceSeverityTemplateMapping":{"required":["severity","value"],"type":"object","properties":{"value":{"type":"string"},"severity":{"type":"integer","format":"int32"}}},"Service":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"subscribed":{"type":"boolean","readOnly":true},"uptime":{"$ref":"#/components/schemas/ServiceUptime"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"},"dependencies":{"type":"array","items":{"$ref":"#/components/schemas/ServiceDependency"},"description":"This is an include field, it is not available in the list resource"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceUptime":{"type":"object","properties":{"rangeStart":{"type":"string","format":"date-time"},"rangeEnd":{"type":"string","format":"date-time"},"outages":{"type":"array","items":{"$ref":"#/components/schemas/ServiceOutage"}},"uptimePercentage":{"$ref":"#/components/schemas/ServiceUptimePercentage"}}},"ServiceOutage":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ServiceStatus"},"from":{"type":"string","format":"date-time"},"until":{"type":"string","format":"date-time"}}},"ServiceUptimePercentage":{"type":"object","properties":{"uptimePercentage":{"type":"object","properties":{"p90":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p60":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p30":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true}}}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"ServiceDependency":{"type":"object","required":["targetServiceId"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"sourceServiceId":{"type":"integer","format":"int64","description":"The service that depends on the target service."},"targetServiceId":{"type":"integer","format":"int64","description":"The service that is being depended upon."},"notes":{"type":"string"},"invalidAfter":{"type":"string","format":"date-time","description":"Point in time after which this dependency is no longer considered valid."},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"$ref":"#/components/schemas/ManagedBy"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"AlertActionType":{"type":"string","enum":["autotask","jira","microsoft_teams_bot","microsoft_teams_webhook","servicenow","slack","slack_webhook","webhook","zendesk","discord","github","topdesk","email","zapier","zammad","mattermost","zoom_chat","dingtalk","aws_event_bridge","dynamic","zabbix","automation_rule","telegram","google_chat_bot","google_chat_webhook"]},"CParamsDatadog":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"priority":{"type":"string"},"site":{"type":"string"}}},"CParamsJira":{"type":"object","properties":{"project":{"type":"string"},"issueType":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsMicrosoftTeams":{"required":["channelId","teamId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"teamId":{"type":"string"},"teamName":{"type":"string"},"type":{"type":"string","enum":["chat","meeting"]}}},"CParamsMicrosoftTeamsWebhookOnly":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"CParamsServiceNow":{"type":"object","properties":{"callerId":{"type":"string"},"impact":{"type":"string"},"urgency":{"type":"string"},"closeCode":{"type":"string"},"assignmentGroup":{"type":"string"},"ownerGroup":{"type":"string"},"service":{"type":"string"},"serviceOffering":{"type":"string"},"contactType":{"type":"string"},"state":{"type":"string"}}},"CParamsAutotask":{"required":["queueId"],"type":"object","properties":{"companyId":{"type":"string"},"queueId":{"type":"string"},"ticketCategory":{"type":"string"},"ticketType":{"type":"string"},"noteType":{"type":"string"},"notePublish":{"type":"string"},"status":{"type":"string"},"issueType":{"type":"string"},"priority":{"type":"string"}}},"CParamsSlack":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"teamDomain":{"type":"string"},"teamId":{"type":"string"}}},"CParamsWebhook":{"required":["webhookUrl"],"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"},"headers":{"type":"array","items":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}},"CParamsZendesk":{"type":"object","properties":{"priority":{"type":"string"},"ticketType":{"type":"string"}}},"CParamsDiscord":{"type":"object"},"CParamsGithub":{"type":"object","properties":{"owner":{"type":"string"},"repository":{"type":"string"},"labels":{"type":"array","items":{"type":"string"}}}},"CParamsTopdesk":{"type":"object","properties":{"status":{"type":"string"}}},"CParamsAWSLambda":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsAzureFunction":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsGoogleFunction":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsEmail":{"type":"object","properties":{"recipients":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"bodyTemplate":{"type":"string"},"recipientsCC":{"type":"array","items":{"type":"string"}},"recipientsBCC":{"type":"array","items":{"type":"string"}}}},"CParamsSysdig":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"eventFilter":{"type":"string"}}},"CParamsZapier":{"type":"object","properties":{"webhookUrl":{"type":"string"}}},"CParamsZoomChat":{"type":"object","properties":{"channelId":{"type":"string"}}},"CParamsZoomMeeting":{"type":"object","properties":{"password":{"type":"string"}}},"CParamsStatusPageIO":{"type":"object","properties":{"pageId":{"type":"string"}}},"CParamsDingTalk":{"type":"object","properties":{"isAtAll":{"type":"boolean"},"atMobiles":{"type":"array","items":{"type":"string"}}}},"CParamsDingTalkAction":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"},"isAtAll":{"type":"boolean"},"atMobiles":{"type":"array","items":{"type":"string"}}}},"CParamsAutomationRule":{"required":["alertType","serviceIds","serviceStatus"],"type":"object","properties":{"alertType":{"type":"string","enum":["CREATED","ACCEPTED"]},"resolveIncident":{"type":"boolean","default":false},"serviceStatus":{"$ref":"#/components/schemas/ServiceStatus"},"templateId":{"type":"integer","format":"int64"},"sendNotification":{"type":"boolean","default":false},"serviceIds":{"type":"array","items":{"type":"integer","format":"int64"}}}},"CParamsTelegram":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string","description":"The telegram group id, usually i64, as string"}}},"CParamsGoogleChat":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"}}},"CParamsGoogleChatWebhookOnly":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"CParamsZammad":{"required":["email"],"type":"object","properties":{"email":{"type":"string"},"group":{"type":"string"}}},"CParamsAwsEventBridge":{"required":["account","region"],"type":"object","properties":{"account":{"type":"string"},"region":{"type":"string"}}},"CParamsDynamic":{"type":"object","properties":{"enhanceNotifications":{"type":"boolean"}}},"CParamsSlackWebhookOnly":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}}}},"paths":{"/alert-actions":{"get":{"tags":["Alert Actions"],"summary":"Get alert actions.","parameters":[{"name":"source","in":"query","description":"alert source id","schema":{"type":"number"}},{"name":"connector","in":"query","description":"connector id","schema":{"type":"string"}},{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of alert actions.","schema":{"maximum":100,"type":"integer","format":"int32","default":100}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (connector)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["connector"]}}}],"responses":{"200":{"description":"The filtered alert actions","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertAction"}}}}}}}}}}
```

## POST /alert-actions

> Create a new alert action.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Alert Actions"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"AlertAction":{"required":["connectorType","name"],"type":"object","properties":{"id":{"type":"string"},"alertSources":{"type":"array","items":{"$ref":"#/components/schemas/AlertSource"}},"connectorId":{"type":"string"},"connectorType":{"$ref":"#/components/schemas/AlertActionType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"triggerMode":{"type":"string","enum":["AUTOMATIC","MANUAL"]},"bidirectional":{"type":"boolean","readOnly":true},"escalationEndedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'alert-escalation-ended' selected"},"notResolvedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'v-alert-not-resolved' selected"},"triggerTypes":{"type":"array","items":{"type":"string","enum":["alert-created","alert-assigned","alert-auto-escalated","alert-acknowledged","alert-raised","alert-comment-added","alert-escalation-ended","alert-resolved","alert-responder-added","alert-responder-removed","alert-channel-attached","alert-channel-detached","v-alert-not-resolved"]}},"alertFilter":{"type":"object","description":"This field is deprecated, use 'conditions' instead. If both are used this field is ignored.","properties":{"operator":{"type":"string","enum":["AND","OR"]},"predicates":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","enum":["ALERT_SUMMARY","ALERT_DETAILS","ESCALATION_POLICY","ALERT_PRIORITY"]},"criteria":{"type":"string","enum":["CONTAINS_ANY_WORDS","CONTAINS_NOT_WORDS","CONTAINS_STRING","CONTAINS_NOT_STRING","IS_STRING","IS_NOT_STRING","MATCHES_REGEX","MATCHES_NOT_REGEX"]},"value":{"type":"string"}}}}},"deprecated":true},"conditions":{"type":"string","description":"Defines an optional alert filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. Note: this field is an ?include, it will not appear in lists."},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/CParamsDatadog"},{"$ref":"#/components/schemas/CParamsJira"},{"$ref":"#/components/schemas/CParamsMicrosoftTeams"},{"$ref":"#/components/schemas/CParamsMicrosoftTeamsWebhookOnly"},{"$ref":"#/components/schemas/CParamsServiceNow"},{"$ref":"#/components/schemas/CParamsAutotask"},{"$ref":"#/components/schemas/CParamsSlack"},{"$ref":"#/components/schemas/CParamsWebhook"},{"$ref":"#/components/schemas/CParamsZendesk"},{"$ref":"#/components/schemas/CParamsDiscord"},{"$ref":"#/components/schemas/CParamsGithub"},{"$ref":"#/components/schemas/CParamsTopdesk"},{"$ref":"#/components/schemas/CParamsAWSLambda"},{"$ref":"#/components/schemas/CParamsAzureFunction"},{"$ref":"#/components/schemas/CParamsGoogleFunction"},{"$ref":"#/components/schemas/CParamsEmail"},{"$ref":"#/components/schemas/CParamsSysdig"},{"$ref":"#/components/schemas/CParamsZapier"},{"$ref":"#/components/schemas/CParamsZoomChat"},{"$ref":"#/components/schemas/CParamsZoomMeeting"},{"$ref":"#/components/schemas/CParamsStatusPageIO"},{"$ref":"#/components/schemas/CParamsDingTalk"},{"$ref":"#/components/schemas/CParamsDingTalkAction"},{"$ref":"#/components/schemas/CParamsAutomationRule"},{"$ref":"#/components/schemas/CParamsTelegram"},{"$ref":"#/components/schemas/CParamsGoogleChat"},{"$ref":"#/components/schemas/CParamsGoogleChatWebhookOnly"},{"$ref":"#/components/schemas/CParamsZammad"},{"$ref":"#/components/schemas/CParamsAwsEventBridge"},{"$ref":"#/components/schemas/CParamsDynamic"},{"$ref":"#/components/schemas/CParamsSlackWebhookOnly"}]},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"integrationKey":{"type":"string","description":"Only returned for edge connector alert actions, and only to users with update permission.","readOnly":true},"connector":{"$ref":"#/components/schemas/Connector","description":"This is an include field, it is not available in the list resource"}}},"AlertSource":{"required":["escalationPolicy","integrationType","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"name":{"type":"string"},"iconUrl":{"type":"string"},"lightIconUrl":{"type":"string"},"darkIconUrl":{"type":"string"},"escalationPolicy":{"$ref":"#/components/schemas/EscalationPolicy"},"integrationType":{"$ref":"#/components/schemas/IntegrationType"},"integrationKey":{"type":"string"},"integrationUrl":{"type":"string","readOnly":true},"autoResolutionTimeout":{"type":"string","format":"ISO-8601"},"alertGroupingWindow":{"type":"string","format":"ISO-8601"},"alertCreation":{"type":"string","default":"ONE_OPEN_ALERT_ALLOWED","enum":["ONE_ALERT_PER_EMAIL","ONE_ALERT_PER_EMAIL_SUBJECT","ONE_PENDING_ALERT_ALLOWED","ONE_OPEN_ALERT_ALLOWED","OPEN_RESOLVE_ON_EXTRACTION","ONE_ALERT_GROUPED_PER_WINDOW","INTELLIGENT_GROUPING"]},"status":{"type":"string","readOnly":true,"enum":["PENDING","ALL_ACCEPTED","ALL_RESOLVED","IN_MAINTENANCE","DISABLED"]},"active":{"type":"boolean","default":true},"alertPriorityRule":{"$ref":"#/components/schemas/AlertPriorityRule"},"supportHours":{"$ref":"#/components/schemas/SupportHour"},"bidirectional":{"type":"boolean","readOnly":true},"summaryTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"detailsTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"routingTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"linkTemplates":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceLinkTemplate"}},"priorityTemplate":{"$ref":"#/components/schemas/AlertSourcePriorityTemplate"},"severityTemplate":{"$ref":"#/components/schemas/AlertSourceSeverityTemplate"},"eventFilter":{"type":"string","description":"Defines an optional event filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"alertKeyTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"servicesTemplate":{"type":"array","description":"Optional list of templates that extract service identifiers from the inbound event payload. Each rendered value is comma-split, and each resulting token is resolved against the tenant's services by alias or name (case-insensitive). Unmatched tokens are silently dropped. Capped at 10 templates and at the alert's per-event services limit. Note: this field is an ?include, it will not appear in lists.","items":{"$ref":"#/components/schemas/AlertSourceTemplate"}},"eventTypeFilterCreate":{"type":"string","description":"Defines an optional create alert rule in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"eventTypeFilterAccept":{"type":"string","description":"Defines an optional accept alert rule in ICL language This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"eventTypeFilterResolve":{"type":"string","description":"Defines an optional resolve alert rule in ICL language This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"autoRaiseAlerts":{"type":"boolean","description":"Only effective when a support hour is linked to this alert source."},"scoreThreshold":{"type":"number","format":"double","description":"Only used when alertCreation is set to INTELLIGENT_GROUPING."},"severity":{"type":"integer"},"services":{"type":"array","items":{"$ref":"#/components/schemas/Service"}},"setupStatus":{"type":"string","enum":["CREATED","CREATED_ADVANCED","CREATED_BIDIRECTIONAL","FINISHED"]},"autoCreateServices":{"type":"boolean","default":false},"createdAt":{"type":"string","readOnly":true},"updatedAt":{"type":"string","readOnly":true},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EscalationPolicy":{"required":["escalationRules","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"escalationRules":{"type":"array","items":{"$ref":"#/components/schemas/EscalationRule"}},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"repeating":{"type":"boolean","default":false},"frequency":{"maximum":9,"minimum":1,"type":"integer","format":"int32","default":1},"delayMin":{"maximum":15,"minimum":0,"type":"integer","format":"int32","default":0},"routingKey":{"type":"string","description":"optional"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"EscalationRule":{"required":["escalationTimeout"],"type":"object","properties":{"escalationTimeout":{"type":"integer"},"user":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: User) is deprecated, please use 'users' instead"},"schedule":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: Schedule) is deprecated, please use 'schedules' instead"},"team":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: Team) is deprecated, please use 'teams' instead"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserRel"}},"schedules":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleRel"}},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"UserRel":{"required":["id"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"}}},"ScheduleRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string","enum":["STATIC","RECURRING"]}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"IntegrationType":{"type":"string","enum":["NAGIOS","ICINGA","EMAIL2","SMS","API","HEARTBEAT2","PRTG","PINGDOM","CLOUDWATCH","AWSPHD","STACKDRIVER","INSTANA","ZABBIX","SOLARWINDS","PROMETHEUS","NEWRELIC","GRAFANA","GITHUB","DATADOG","UPTIMEROBOT","APPDYNAMICS","DYNATRACE","TOPDESK","STATUSCAKE","TOOL","CHECKMK","AUTOTASK","AWSBUDGET","SYSDIG","SERVERDENSITY","ZAPIER","KENTIXAM","JIRA","CONSUL","ZAMMAD","SPLUNK","SERVICENOW","SEARCHGUARD","KUBERNETES","SIGNALFX","AZUREALERTS","TERRAFORMCLOUD","SENTRY","SEMATEXT","SUMOLOGIC","RAYGUN","MXTOOLBOX","ESWATCHER","AMAZONSNS","KAPACITOR","CORTEXXSOAR","ZENDESK","AUVIK","SENSU","NCENTRAL","JUMPCLOUD","SALESFORCE","GUARDDUTY","STATUSHUB","IXON","APIFORTRESS","FRESHSERVICE","APPSIGNAL","LIGHTSTEP","IBMCLOUDFUNCTIONS","CROWDSTRIKE","HUMIO","OHDEAR","MONGODBATLAS","GITLAB","HYPERPING","PAPRISMACLOUD","SAMSARA","PANDORAFMS","MSSCOM","TWILIO","CISCOMERAKI","CHECKLY","POSTHOG","GOOGLESCC","SLACK","MSTEAMS","UPTIMEKUMA","TWILIOERRORS","PARTICLE","CLOUDFLARE","TULIP","GRAYLOG","CATCHPOINT","LOKI","CORTEX","MIMIR","HALOPSA","INFLUXDB","CALLFLOW","HALOITSM","KIBANA","VICTORIAMETRICS","HONEYCOMB","FOURME","KEEP","UBIDOTS","HETRIXTOOLS","POSTMAN","CLUSTERCONTROL","NETDATA","AWX","KAFKA","MQTT","RAPIDSPIKE","HONEYBADGER","HEALTHCHECKSIO","MEZMO","SERVERGUARD24","CISCOTHOUSANDEYES","SITE24X7","ITCONDUCTOR","SAPFRUN","APICA","DASH0","ROLLBAR","GATUS","LIBRENMS","PANTHER","TEAMCITY","ALIBABACLOUD","FLEETDM","CONNECTWISEPSA","DEADMANSSNITCH","FORTISOAR","OPMANAGER","CRONITOR","DOMOTZ","LIVEWATCH","AZUREDEVOPS","LEVELIO","EKARA","SYSAID","PHAREIO","OPSGENIE","WHATAP","SIGNOZ","GOOGLECHAT","DOTCOMMONITOR","UPTIME","HELPSCOUT","SCIENCELOGIC","PULSETIC","WAZUH","SEKOIA","ZOHODESK","ORACLEENTERPRISEMANAGER","OPENOBSERVE","OPENSEARCH","OPENITCOCKPIT","ODOO","OPENNMS","DBMARLIN","TIDEWAYS","SOPHOS","BLEEMEO"]},"AlertPriorityRule":{"type":"string","enum":["HIGH","LOW","HIGH_DURING_SUPPORT_HOURS","LOW_DURING_SUPPORT_HOURS"]},"SupportHour":{"required":["name","supportDays","timezone"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"timezone":{"$ref":"#/components/schemas/TimeZone"},"supportDays":{"type":"object","properties":{"MONDAY":{"$ref":"#/components/schemas/SupportDay"},"TUESDAY":{"$ref":"#/components/schemas/SupportDay"},"WEDNESDAY":{"$ref":"#/components/schemas/SupportDay"},"THURSDAY":{"$ref":"#/components/schemas/SupportDay"},"FRIDAY":{"$ref":"#/components/schemas/SupportDay"},"SATURDAY":{"$ref":"#/components/schemas/SupportDay"},"SUNDAY":{"$ref":"#/components/schemas/SupportDay"}}},"exceptions":{"type":"array","items":{"$ref":"#/components/schemas/SupportHourException"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"currentStatus":{"type":"string","description":"This is an include field, it is not available in the list resource","enum":["DURING","OUTSIDE"],"readOnly":true}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"SupportDay":{"required":["end","start"],"type":"object","properties":{"start":{"type":"string","format":"time"},"end":{"type":"string","format":"time"}}},"SupportHourException":{"type":"object","required":["name","start","end","supportStatus"],"properties":{"name":{"type":"string"},"start":{"type":"string","format":"date"},"end":{"type":"string","format":"date"},"supportStatus":{"type":"string","enum":["DURING","OUTSIDE"]}}},"AlertSourceTemplate":{"type":"object","properties":{"textTemplate":{"type":"string","description":"For more information on alert source templating, please visit: https://docs.ilert.com/alerting/alert-sources#alert-template.\n\n Example: <br />`Hi {{ users[0].name }} there!` \n\nYou can use the text template instead of elements by adding the include `textTemplate` to your request. Any version can be used for POST or PUT requests."},"elements":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceTemplateElement"}}}},"AlertSourceTemplateElement":{"type":"object","properties":{"type":{"type":"string","enum":["TEXT","VAR","RAW"]},"val":{"type":"string"},"func":{"type":"string"},"args":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceTemplateElementArg"}}}},"AlertSourceTemplateElementArg":{"type":"object","properties":{"S":{"type":"string"},"N":{"type":"integer"}}},"AlertSourceLinkTemplate":{"required":["hrefTemplate","text"],"type":"object","properties":{"text":{"type":"string"},"hrefTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"}}},"AlertSourcePriorityTemplate":{"required":["mappings","valueTemplate"],"type":"object","properties":{"valueTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourcePriorityTemplateMapping"}}}},"AlertSourcePriorityTemplateMapping":{"required":["priority","value"],"type":"object","properties":{"value":{"type":"string"},"priority":{"type":"string","enum":["LOW","HIGH"]}}},"AlertSourceSeverityTemplate":{"required":["mappings","valueTemplate"],"type":"object","properties":{"valueTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceSeverityTemplateMapping"}}}},"AlertSourceSeverityTemplateMapping":{"required":["severity","value"],"type":"object","properties":{"value":{"type":"string"},"severity":{"type":"integer","format":"int32"}}},"Service":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"subscribed":{"type":"boolean","readOnly":true},"uptime":{"$ref":"#/components/schemas/ServiceUptime"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"},"dependencies":{"type":"array","items":{"$ref":"#/components/schemas/ServiceDependency"},"description":"This is an include field, it is not available in the list resource"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceUptime":{"type":"object","properties":{"rangeStart":{"type":"string","format":"date-time"},"rangeEnd":{"type":"string","format":"date-time"},"outages":{"type":"array","items":{"$ref":"#/components/schemas/ServiceOutage"}},"uptimePercentage":{"$ref":"#/components/schemas/ServiceUptimePercentage"}}},"ServiceOutage":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ServiceStatus"},"from":{"type":"string","format":"date-time"},"until":{"type":"string","format":"date-time"}}},"ServiceUptimePercentage":{"type":"object","properties":{"uptimePercentage":{"type":"object","properties":{"p90":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p60":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p30":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true}}}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"ServiceDependency":{"type":"object","required":["targetServiceId"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"sourceServiceId":{"type":"integer","format":"int64","description":"The service that depends on the target service."},"targetServiceId":{"type":"integer","format":"int64","description":"The service that is being depended upon."},"notes":{"type":"string"},"invalidAfter":{"type":"string","format":"date-time","description":"Point in time after which this dependency is no longer considered valid."},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"$ref":"#/components/schemas/ManagedBy"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"AlertActionType":{"type":"string","enum":["autotask","jira","microsoft_teams_bot","microsoft_teams_webhook","servicenow","slack","slack_webhook","webhook","zendesk","discord","github","topdesk","email","zapier","zammad","mattermost","zoom_chat","dingtalk","aws_event_bridge","dynamic","zabbix","automation_rule","telegram","google_chat_bot","google_chat_webhook"]},"CParamsDatadog":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"priority":{"type":"string"},"site":{"type":"string"}}},"CParamsJira":{"type":"object","properties":{"project":{"type":"string"},"issueType":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsMicrosoftTeams":{"required":["channelId","teamId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"teamId":{"type":"string"},"teamName":{"type":"string"},"type":{"type":"string","enum":["chat","meeting"]}}},"CParamsMicrosoftTeamsWebhookOnly":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"CParamsServiceNow":{"type":"object","properties":{"callerId":{"type":"string"},"impact":{"type":"string"},"urgency":{"type":"string"},"closeCode":{"type":"string"},"assignmentGroup":{"type":"string"},"ownerGroup":{"type":"string"},"service":{"type":"string"},"serviceOffering":{"type":"string"},"contactType":{"type":"string"},"state":{"type":"string"}}},"CParamsAutotask":{"required":["queueId"],"type":"object","properties":{"companyId":{"type":"string"},"queueId":{"type":"string"},"ticketCategory":{"type":"string"},"ticketType":{"type":"string"},"noteType":{"type":"string"},"notePublish":{"type":"string"},"status":{"type":"string"},"issueType":{"type":"string"},"priority":{"type":"string"}}},"CParamsSlack":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"teamDomain":{"type":"string"},"teamId":{"type":"string"}}},"CParamsWebhook":{"required":["webhookUrl"],"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"},"headers":{"type":"array","items":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}},"CParamsZendesk":{"type":"object","properties":{"priority":{"type":"string"},"ticketType":{"type":"string"}}},"CParamsDiscord":{"type":"object"},"CParamsGithub":{"type":"object","properties":{"owner":{"type":"string"},"repository":{"type":"string"},"labels":{"type":"array","items":{"type":"string"}}}},"CParamsTopdesk":{"type":"object","properties":{"status":{"type":"string"}}},"CParamsAWSLambda":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsAzureFunction":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsGoogleFunction":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsEmail":{"type":"object","properties":{"recipients":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"bodyTemplate":{"type":"string"},"recipientsCC":{"type":"array","items":{"type":"string"}},"recipientsBCC":{"type":"array","items":{"type":"string"}}}},"CParamsSysdig":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"eventFilter":{"type":"string"}}},"CParamsZapier":{"type":"object","properties":{"webhookUrl":{"type":"string"}}},"CParamsZoomChat":{"type":"object","properties":{"channelId":{"type":"string"}}},"CParamsZoomMeeting":{"type":"object","properties":{"password":{"type":"string"}}},"CParamsStatusPageIO":{"type":"object","properties":{"pageId":{"type":"string"}}},"CParamsDingTalk":{"type":"object","properties":{"isAtAll":{"type":"boolean"},"atMobiles":{"type":"array","items":{"type":"string"}}}},"CParamsDingTalkAction":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"},"isAtAll":{"type":"boolean"},"atMobiles":{"type":"array","items":{"type":"string"}}}},"CParamsAutomationRule":{"required":["alertType","serviceIds","serviceStatus"],"type":"object","properties":{"alertType":{"type":"string","enum":["CREATED","ACCEPTED"]},"resolveIncident":{"type":"boolean","default":false},"serviceStatus":{"$ref":"#/components/schemas/ServiceStatus"},"templateId":{"type":"integer","format":"int64"},"sendNotification":{"type":"boolean","default":false},"serviceIds":{"type":"array","items":{"type":"integer","format":"int64"}}}},"CParamsTelegram":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string","description":"The telegram group id, usually i64, as string"}}},"CParamsGoogleChat":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"}}},"CParamsGoogleChatWebhookOnly":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"CParamsZammad":{"required":["email"],"type":"object","properties":{"email":{"type":"string"},"group":{"type":"string"}}},"CParamsAwsEventBridge":{"required":["account","region"],"type":"object","properties":{"account":{"type":"string"},"region":{"type":"string"}}},"CParamsDynamic":{"type":"object","properties":{"enhanceNotifications":{"type":"boolean"}}},"CParamsSlackWebhookOnly":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}}}},"paths":{"/alert-actions":{"post":{"tags":["Alert Actions"],"summary":"Create a new alert action.","requestBody":{"description":"the alert action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertAction"}}},"required":true},"responses":{"200":{"description":"The newly created alert action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertAction"}}}}}}}}}
```

## GET /alert-actions/{id}

> Get a specific alert action.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Alert Actions"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"AlertAction":{"required":["connectorType","name"],"type":"object","properties":{"id":{"type":"string"},"alertSources":{"type":"array","items":{"$ref":"#/components/schemas/AlertSource"}},"connectorId":{"type":"string"},"connectorType":{"$ref":"#/components/schemas/AlertActionType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"triggerMode":{"type":"string","enum":["AUTOMATIC","MANUAL"]},"bidirectional":{"type":"boolean","readOnly":true},"escalationEndedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'alert-escalation-ended' selected"},"notResolvedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'v-alert-not-resolved' selected"},"triggerTypes":{"type":"array","items":{"type":"string","enum":["alert-created","alert-assigned","alert-auto-escalated","alert-acknowledged","alert-raised","alert-comment-added","alert-escalation-ended","alert-resolved","alert-responder-added","alert-responder-removed","alert-channel-attached","alert-channel-detached","v-alert-not-resolved"]}},"alertFilter":{"type":"object","description":"This field is deprecated, use 'conditions' instead. If both are used this field is ignored.","properties":{"operator":{"type":"string","enum":["AND","OR"]},"predicates":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","enum":["ALERT_SUMMARY","ALERT_DETAILS","ESCALATION_POLICY","ALERT_PRIORITY"]},"criteria":{"type":"string","enum":["CONTAINS_ANY_WORDS","CONTAINS_NOT_WORDS","CONTAINS_STRING","CONTAINS_NOT_STRING","IS_STRING","IS_NOT_STRING","MATCHES_REGEX","MATCHES_NOT_REGEX"]},"value":{"type":"string"}}}}},"deprecated":true},"conditions":{"type":"string","description":"Defines an optional alert filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. Note: this field is an ?include, it will not appear in lists."},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/CParamsDatadog"},{"$ref":"#/components/schemas/CParamsJira"},{"$ref":"#/components/schemas/CParamsMicrosoftTeams"},{"$ref":"#/components/schemas/CParamsMicrosoftTeamsWebhookOnly"},{"$ref":"#/components/schemas/CParamsServiceNow"},{"$ref":"#/components/schemas/CParamsAutotask"},{"$ref":"#/components/schemas/CParamsSlack"},{"$ref":"#/components/schemas/CParamsWebhook"},{"$ref":"#/components/schemas/CParamsZendesk"},{"$ref":"#/components/schemas/CParamsDiscord"},{"$ref":"#/components/schemas/CParamsGithub"},{"$ref":"#/components/schemas/CParamsTopdesk"},{"$ref":"#/components/schemas/CParamsAWSLambda"},{"$ref":"#/components/schemas/CParamsAzureFunction"},{"$ref":"#/components/schemas/CParamsGoogleFunction"},{"$ref":"#/components/schemas/CParamsEmail"},{"$ref":"#/components/schemas/CParamsSysdig"},{"$ref":"#/components/schemas/CParamsZapier"},{"$ref":"#/components/schemas/CParamsZoomChat"},{"$ref":"#/components/schemas/CParamsZoomMeeting"},{"$ref":"#/components/schemas/CParamsStatusPageIO"},{"$ref":"#/components/schemas/CParamsDingTalk"},{"$ref":"#/components/schemas/CParamsDingTalkAction"},{"$ref":"#/components/schemas/CParamsAutomationRule"},{"$ref":"#/components/schemas/CParamsTelegram"},{"$ref":"#/components/schemas/CParamsGoogleChat"},{"$ref":"#/components/schemas/CParamsGoogleChatWebhookOnly"},{"$ref":"#/components/schemas/CParamsZammad"},{"$ref":"#/components/schemas/CParamsAwsEventBridge"},{"$ref":"#/components/schemas/CParamsDynamic"},{"$ref":"#/components/schemas/CParamsSlackWebhookOnly"}]},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"integrationKey":{"type":"string","description":"Only returned for edge connector alert actions, and only to users with update permission.","readOnly":true},"connector":{"$ref":"#/components/schemas/Connector","description":"This is an include field, it is not available in the list resource"}}},"AlertSource":{"required":["escalationPolicy","integrationType","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"name":{"type":"string"},"iconUrl":{"type":"string"},"lightIconUrl":{"type":"string"},"darkIconUrl":{"type":"string"},"escalationPolicy":{"$ref":"#/components/schemas/EscalationPolicy"},"integrationType":{"$ref":"#/components/schemas/IntegrationType"},"integrationKey":{"type":"string"},"integrationUrl":{"type":"string","readOnly":true},"autoResolutionTimeout":{"type":"string","format":"ISO-8601"},"alertGroupingWindow":{"type":"string","format":"ISO-8601"},"alertCreation":{"type":"string","default":"ONE_OPEN_ALERT_ALLOWED","enum":["ONE_ALERT_PER_EMAIL","ONE_ALERT_PER_EMAIL_SUBJECT","ONE_PENDING_ALERT_ALLOWED","ONE_OPEN_ALERT_ALLOWED","OPEN_RESOLVE_ON_EXTRACTION","ONE_ALERT_GROUPED_PER_WINDOW","INTELLIGENT_GROUPING"]},"status":{"type":"string","readOnly":true,"enum":["PENDING","ALL_ACCEPTED","ALL_RESOLVED","IN_MAINTENANCE","DISABLED"]},"active":{"type":"boolean","default":true},"alertPriorityRule":{"$ref":"#/components/schemas/AlertPriorityRule"},"supportHours":{"$ref":"#/components/schemas/SupportHour"},"bidirectional":{"type":"boolean","readOnly":true},"summaryTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"detailsTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"routingTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"linkTemplates":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceLinkTemplate"}},"priorityTemplate":{"$ref":"#/components/schemas/AlertSourcePriorityTemplate"},"severityTemplate":{"$ref":"#/components/schemas/AlertSourceSeverityTemplate"},"eventFilter":{"type":"string","description":"Defines an optional event filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"alertKeyTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"servicesTemplate":{"type":"array","description":"Optional list of templates that extract service identifiers from the inbound event payload. Each rendered value is comma-split, and each resulting token is resolved against the tenant's services by alias or name (case-insensitive). Unmatched tokens are silently dropped. Capped at 10 templates and at the alert's per-event services limit. Note: this field is an ?include, it will not appear in lists.","items":{"$ref":"#/components/schemas/AlertSourceTemplate"}},"eventTypeFilterCreate":{"type":"string","description":"Defines an optional create alert rule in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"eventTypeFilterAccept":{"type":"string","description":"Defines an optional accept alert rule in ICL language This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"eventTypeFilterResolve":{"type":"string","description":"Defines an optional resolve alert rule in ICL language This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. It has no effect on manually created alerts. Note: this field is an ?include, it will not appear in lists."},"autoRaiseAlerts":{"type":"boolean","description":"Only effective when a support hour is linked to this alert source."},"scoreThreshold":{"type":"number","format":"double","description":"Only used when alertCreation is set to INTELLIGENT_GROUPING."},"severity":{"type":"integer"},"services":{"type":"array","items":{"$ref":"#/components/schemas/Service"}},"setupStatus":{"type":"string","enum":["CREATED","CREATED_ADVANCED","CREATED_BIDIRECTIONAL","FINISHED"]},"autoCreateServices":{"type":"boolean","default":false},"createdAt":{"type":"string","readOnly":true},"updatedAt":{"type":"string","readOnly":true},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EscalationPolicy":{"required":["escalationRules","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"escalationRules":{"type":"array","items":{"$ref":"#/components/schemas/EscalationRule"}},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"repeating":{"type":"boolean","default":false},"frequency":{"maximum":9,"minimum":1,"type":"integer","format":"int32","default":1},"delayMin":{"maximum":15,"minimum":0,"type":"integer","format":"int32","default":0},"routingKey":{"type":"string","description":"optional"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"EscalationRule":{"required":["escalationTimeout"],"type":"object","properties":{"escalationTimeout":{"type":"integer"},"user":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: User) is deprecated, please use 'users' instead"},"schedule":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: Schedule) is deprecated, please use 'schedules' instead"},"team":{"type":"object","properties":{"id":{"type":"number"}},"description":"This field (type: Team) is deprecated, please use 'teams' instead"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserRel"}},"schedules":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleRel"}},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"UserRel":{"required":["id"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"}}},"ScheduleRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string","enum":["STATIC","RECURRING"]}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"IntegrationType":{"type":"string","enum":["NAGIOS","ICINGA","EMAIL2","SMS","API","HEARTBEAT2","PRTG","PINGDOM","CLOUDWATCH","AWSPHD","STACKDRIVER","INSTANA","ZABBIX","SOLARWINDS","PROMETHEUS","NEWRELIC","GRAFANA","GITHUB","DATADOG","UPTIMEROBOT","APPDYNAMICS","DYNATRACE","TOPDESK","STATUSCAKE","TOOL","CHECKMK","AUTOTASK","AWSBUDGET","SYSDIG","SERVERDENSITY","ZAPIER","KENTIXAM","JIRA","CONSUL","ZAMMAD","SPLUNK","SERVICENOW","SEARCHGUARD","KUBERNETES","SIGNALFX","AZUREALERTS","TERRAFORMCLOUD","SENTRY","SEMATEXT","SUMOLOGIC","RAYGUN","MXTOOLBOX","ESWATCHER","AMAZONSNS","KAPACITOR","CORTEXXSOAR","ZENDESK","AUVIK","SENSU","NCENTRAL","JUMPCLOUD","SALESFORCE","GUARDDUTY","STATUSHUB","IXON","APIFORTRESS","FRESHSERVICE","APPSIGNAL","LIGHTSTEP","IBMCLOUDFUNCTIONS","CROWDSTRIKE","HUMIO","OHDEAR","MONGODBATLAS","GITLAB","HYPERPING","PAPRISMACLOUD","SAMSARA","PANDORAFMS","MSSCOM","TWILIO","CISCOMERAKI","CHECKLY","POSTHOG","GOOGLESCC","SLACK","MSTEAMS","UPTIMEKUMA","TWILIOERRORS","PARTICLE","CLOUDFLARE","TULIP","GRAYLOG","CATCHPOINT","LOKI","CORTEX","MIMIR","HALOPSA","INFLUXDB","CALLFLOW","HALOITSM","KIBANA","VICTORIAMETRICS","HONEYCOMB","FOURME","KEEP","UBIDOTS","HETRIXTOOLS","POSTMAN","CLUSTERCONTROL","NETDATA","AWX","KAFKA","MQTT","RAPIDSPIKE","HONEYBADGER","HEALTHCHECKSIO","MEZMO","SERVERGUARD24","CISCOTHOUSANDEYES","SITE24X7","ITCONDUCTOR","SAPFRUN","APICA","DASH0","ROLLBAR","GATUS","LIBRENMS","PANTHER","TEAMCITY","ALIBABACLOUD","FLEETDM","CONNECTWISEPSA","DEADMANSSNITCH","FORTISOAR","OPMANAGER","CRONITOR","DOMOTZ","LIVEWATCH","AZUREDEVOPS","LEVELIO","EKARA","SYSAID","PHAREIO","OPSGENIE","WHATAP","SIGNOZ","GOOGLECHAT","DOTCOMMONITOR","UPTIME","HELPSCOUT","SCIENCELOGIC","PULSETIC","WAZUH","SEKOIA","ZOHODESK","ORACLEENTERPRISEMANAGER","OPENOBSERVE","OPENSEARCH","OPENITCOCKPIT","ODOO","OPENNMS","DBMARLIN","TIDEWAYS","SOPHOS","BLEEMEO"]},"AlertPriorityRule":{"type":"string","enum":["HIGH","LOW","HIGH_DURING_SUPPORT_HOURS","LOW_DURING_SUPPORT_HOURS"]},"SupportHour":{"required":["name","supportDays","timezone"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"timezone":{"$ref":"#/components/schemas/TimeZone"},"supportDays":{"type":"object","properties":{"MONDAY":{"$ref":"#/components/schemas/SupportDay"},"TUESDAY":{"$ref":"#/components/schemas/SupportDay"},"WEDNESDAY":{"$ref":"#/components/schemas/SupportDay"},"THURSDAY":{"$ref":"#/components/schemas/SupportDay"},"FRIDAY":{"$ref":"#/components/schemas/SupportDay"},"SATURDAY":{"$ref":"#/components/schemas/SupportDay"},"SUNDAY":{"$ref":"#/components/schemas/SupportDay"}}},"exceptions":{"type":"array","items":{"$ref":"#/components/schemas/SupportHourException"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"currentStatus":{"type":"string","description":"This is an include field, it is not available in the list resource","enum":["DURING","OUTSIDE"],"readOnly":true}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"SupportDay":{"required":["end","start"],"type":"object","properties":{"start":{"type":"string","format":"time"},"end":{"type":"string","format":"time"}}},"SupportHourException":{"type":"object","required":["name","start","end","supportStatus"],"properties":{"name":{"type":"string"},"start":{"type":"string","format":"date"},"end":{"type":"string","format":"date"},"supportStatus":{"type":"string","enum":["DURING","OUTSIDE"]}}},"AlertSourceTemplate":{"type":"object","properties":{"textTemplate":{"type":"string","description":"For more information on alert source templating, please visit: https://docs.ilert.com/alerting/alert-sources#alert-template.\n\n Example: <br />`Hi {{ users[0].name }} there!` \n\nYou can use the text template instead of elements by adding the include `textTemplate` to your request. Any version can be used for POST or PUT requests."},"elements":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceTemplateElement"}}}},"AlertSourceTemplateElement":{"type":"object","properties":{"type":{"type":"string","enum":["TEXT","VAR","RAW"]},"val":{"type":"string"},"func":{"type":"string"},"args":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceTemplateElementArg"}}}},"AlertSourceTemplateElementArg":{"type":"object","properties":{"S":{"type":"string"},"N":{"type":"integer"}}},"AlertSourceLinkTemplate":{"required":["hrefTemplate","text"],"type":"object","properties":{"text":{"type":"string"},"hrefTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"}}},"AlertSourcePriorityTemplate":{"required":["mappings","valueTemplate"],"type":"object","properties":{"valueTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourcePriorityTemplateMapping"}}}},"AlertSourcePriorityTemplateMapping":{"required":["priority","value"],"type":"object","properties":{"value":{"type":"string"},"priority":{"type":"string","enum":["LOW","HIGH"]}}},"AlertSourceSeverityTemplate":{"required":["mappings","valueTemplate"],"type":"object","properties":{"valueTemplate":{"$ref":"#/components/schemas/AlertSourceTemplate"},"mappings":{"type":"array","items":{"$ref":"#/components/schemas/AlertSourceSeverityTemplateMapping"}}}},"AlertSourceSeverityTemplateMapping":{"required":["severity","value"],"type":"object","properties":{"value":{"type":"string"},"severity":{"type":"integer","format":"int32"}}},"Service":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"subscribed":{"type":"boolean","readOnly":true},"uptime":{"$ref":"#/components/schemas/ServiceUptime"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"},"dependencies":{"type":"array","items":{"$ref":"#/components/schemas/ServiceDependency"},"description":"This is an include field, it is not available in the list resource"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceUptime":{"type":"object","properties":{"rangeStart":{"type":"string","format":"date-time"},"rangeEnd":{"type":"string","format":"date-time"},"outages":{"type":"array","items":{"$ref":"#/components/schemas/ServiceOutage"}},"uptimePercentage":{"$ref":"#/components/schemas/ServiceUptimePercentage"}}},"ServiceOutage":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ServiceStatus"},"from":{"type":"string","format":"date-time"},"until":{"type":"string","format":"date-time"}}},"ServiceUptimePercentage":{"type":"object","properties":{"uptimePercentage":{"type":"object","properties":{"p90":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p60":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p30":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true}}}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"ServiceDependency":{"type":"object","required":["targetServiceId"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"sourceServiceId":{"type":"integer","format":"int64","description":"The service that depends on the target service."},"targetServiceId":{"type":"integer","format":"int64","description":"The service that is being depended upon."},"notes":{"type":"string"},"invalidAfter":{"type":"string","format":"date-time","description":"Point in time after which this dependency is no longer considered valid."},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"$ref":"#/components/schemas/ManagedBy"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"AlertActionType":{"type":"string","enum":["autotask","jira","microsoft_teams_bot","microsoft_teams_webhook","servicenow","slack","slack_webhook","webhook","zendesk","discord","github","topdesk","email","zapier","zammad","mattermost","zoom_chat","dingtalk","aws_event_bridge","dynamic","zabbix","automation_rule","telegram","google_chat_bot","google_chat_webhook"]},"CParamsDatadog":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"priority":{"type":"string"},"site":{"type":"string"}}},"CParamsJira":{"type":"object","properties":{"project":{"type":"string"},"issueType":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsMicrosoftTeams":{"required":["channelId","teamId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"teamId":{"type":"string"},"teamName":{"type":"string"},"type":{"type":"string","enum":["chat","meeting"]}}},"CParamsMicrosoftTeamsWebhookOnly":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"CParamsServiceNow":{"type":"object","properties":{"callerId":{"type":"string"},"impact":{"type":"string"},"urgency":{"type":"string"},"closeCode":{"type":"string"},"assignmentGroup":{"type":"string"},"ownerGroup":{"type":"string"},"service":{"type":"string"},"serviceOffering":{"type":"string"},"contactType":{"type":"string"},"state":{"type":"string"}}},"CParamsAutotask":{"required":["queueId"],"type":"object","properties":{"companyId":{"type":"string"},"queueId":{"type":"string"},"ticketCategory":{"type":"string"},"ticketType":{"type":"string"},"noteType":{"type":"string"},"notePublish":{"type":"string"},"status":{"type":"string"},"issueType":{"type":"string"},"priority":{"type":"string"}}},"CParamsSlack":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"teamDomain":{"type":"string"},"teamId":{"type":"string"}}},"CParamsWebhook":{"required":["webhookUrl"],"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"},"headers":{"type":"array","items":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}},"CParamsZendesk":{"type":"object","properties":{"priority":{"type":"string"},"ticketType":{"type":"string"}}},"CParamsDiscord":{"type":"object"},"CParamsGithub":{"type":"object","properties":{"owner":{"type":"string"},"repository":{"type":"string"},"labels":{"type":"array","items":{"type":"string"}}}},"CParamsTopdesk":{"type":"object","properties":{"status":{"type":"string"}}},"CParamsAWSLambda":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsAzureFunction":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsGoogleFunction":{"type":"object","properties":{"webhookUrl":{"type":"string"},"bodyTemplate":{"type":"string"}}},"CParamsEmail":{"type":"object","properties":{"recipients":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"bodyTemplate":{"type":"string"},"recipientsCC":{"type":"array","items":{"type":"string"}},"recipientsBCC":{"type":"array","items":{"type":"string"}}}},"CParamsSysdig":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"eventFilter":{"type":"string"}}},"CParamsZapier":{"type":"object","properties":{"webhookUrl":{"type":"string"}}},"CParamsZoomChat":{"type":"object","properties":{"channelId":{"type":"string"}}},"CParamsZoomMeeting":{"type":"object","properties":{"password":{"type":"string"}}},"CParamsStatusPageIO":{"type":"object","properties":{"pageId":{"type":"string"}}},"CParamsDingTalk":{"type":"object","properties":{"isAtAll":{"type":"boolean"},"atMobiles":{"type":"array","items":{"type":"string"}}}},"CParamsDingTalkAction":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"},"isAtAll":{"type":"boolean"},"atMobiles":{"type":"array","items":{"type":"string"}}}},"CParamsAutomationRule":{"required":["alertType","serviceIds","serviceStatus"],"type":"object","properties":{"alertType":{"type":"string","enum":["CREATED","ACCEPTED"]},"resolveIncident":{"type":"boolean","default":false},"serviceStatus":{"$ref":"#/components/schemas/ServiceStatus"},"templateId":{"type":"integer","format":"int64"},"sendNotification":{"type":"boolean","default":false},"serviceIds":{"type":"array","items":{"type":"integer","format":"int64"}}}},"CParamsTelegram":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string","description":"The telegram group id, usually i64, as string"}}},"CParamsGoogleChat":{"required":["channelId"],"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"}}},"CParamsGoogleChatWebhookOnly":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"]},"CParamsZammad":{"required":["email"],"type":"object","properties":{"email":{"type":"string"},"group":{"type":"string"}}},"CParamsAwsEventBridge":{"required":["account","region"],"type":"object","properties":{"account":{"type":"string"},"region":{"type":"string"}}},"CParamsDynamic":{"type":"object","properties":{"enhanceNotifications":{"type":"boolean"}}},"CParamsSlackWebhookOnly":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"Connector":{"required":["name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/ConnectorType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/EParamsDatadog"},{"$ref":"#/components/schemas/EParamsJira"},{"$ref":"#/components/schemas/EParamsMicrosoftTeams"},{"$ref":"#/components/schemas/EParamsServiceNow"},{"$ref":"#/components/schemas/EParamsSlack"},{"$ref":"#/components/schemas/EParamsZendesk"},{"$ref":"#/components/schemas/EParamsDiscord"},{"$ref":"#/components/schemas/EParamsGithub"},{"$ref":"#/components/schemas/EParamsTopdesk"},{"$ref":"#/components/schemas/EParamsAWSLambda"},{"$ref":"#/components/schemas/EParamsAzureFunction"},{"$ref":"#/components/schemas/EParamsGoogleFunction"},{"$ref":"#/components/schemas/EParamsSysdig"},{"$ref":"#/components/schemas/EParamsStatusPageIO"},{"$ref":"#/components/schemas/EParamsDingTalk"},{"$ref":"#/components/schemas/EParamsZabbix"},{"$ref":"#/components/schemas/EParamsZammad"},{"$ref":"#/components/schemas/EParamsMattermost"},{"$ref":"#/components/schemas/EParamsAutotask"},{"$ref":"#/components/schemas/EParamsDynamic"}]},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"ConnectorType":{"type":"string","enum":["jira","microsoft_teams_bot","servicenow","slack","zendesk","discord","github","topdesk","zammad","mattermost","zoom_chat","dingtalk","dynamic","zabbix","autotask","google_chat_bot"]},"EParamsDatadog":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsJira":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"}}},"EParamsMicrosoftTeams":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsServiceNow":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsSlack":{"type":"object"},"EParamsZendesk":{"type":"object","properties":{"url":{"type":"string"},"email":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsDiscord":{"type":"object","properties":{"url":{"type":"string"}}},"EParamsGithub":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsTopdesk":{"type":"object","properties":{"url":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"}}},"EParamsAWSLambda":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsAzureFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsGoogleFunction":{"type":"object","properties":{"authorization":{"type":"string"}}},"EParamsSysdig":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsStatusPageIO":{"type":"object","properties":{"apiKey":{"type":"string"}}},"EParamsDingTalk":{"type":"object","properties":{"url":{"type":"string"},"secret":{"type":"string"}}},"EParamsZabbix":{"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsZammad":{"required":["url","apiKey"],"type":"object","properties":{"url":{"type":"string"},"apiKey":{"type":"string"}}},"EParamsMattermost":{"required":["url"],"type":"object","properties":{"url":{"type":"string"}}},"EParamsAutotask":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"EParamsDynamic":{"required":["requestUrl"],"type":"object","properties":{"requestUrl":{"type":"string"},"responseUrl":{"type":"string"},"authorization":{"type":"string"}}}}},"paths":{"/alert-actions/{id}":{"get":{"tags":["Alert Actions"],"summary":"Get a specific alert action.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"string"}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (conditions, connector)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["conditions","connector"]}}}],"responses":{"200":{"description":"The requested alert action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertAction"}}}}}}}}}
```

## PUT /alert-actions/{id}

> Update the specific alert action. (note: type cannot be changed)

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Alert Actions"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"AlertAction":{"required":["connectorType","name"],"type":"object","properties":{"id":{"type":"string"},"alertSources":{"type":"array","items":{"$ref":"#/components/schemas/AlertSource"}},"connectorId":{"type":"string"},"connectorType":{"$ref":"#/components/schemas/AlertActionType"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"triggerMode":{"type":"string","enum":["AUTOMATIC","MANUAL"]},"bidirectional":{"type":"boolean","readOnly":true},"escalationEndedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'alert-escalation-ended' selected"},"notResolvedDelaySec":{"maximum":7200,"minimum":0,"type":"number","description":"May only be used with triggerType 'v-alert-not-resolved' selected"},"triggerTypes":{"type":"array","items":{"type":"string","enum":["alert-created","alert-assigned","alert-auto-escalated","alert-acknowledged","alert-raised","alert-comment-added","alert-escalation-ended","alert-resolved","alert-responder-added","alert-responder-removed","alert-channel-attached","alert-channel-detached","v-alert-not-resolved"]}},"alertFilter":{"type":"object","description":"This field is deprecated, use 'conditions' instead. If both are used this field is ignored.","properties":{"operator":{"type":"string","enum":["AND","OR"]},"predicates":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","enum":["ALERT_SUMMARY","ALERT_DETAILS","ESCALATION_POLICY","ALERT_PRIORITY"]},"criteria":{"type":"string","enum":["CONTAINS_ANY_WORDS","CONTAINS_NOT_WORDS","CONTAINS_STRING","CONTAINS_NOT_STRING","IS_STRING","IS_NOT_STRING","MATCHES_REGEX","MATCHES_NOT_REGEX"]},"value":{"type":"string"}}}}},"deprecated":true},"conditions":{"type":"string","description":"Defines an optional alert filter condition in ICL language. This is a code based implementation, more info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language. For block based configuration please use the web UI. Note: this field is an ?include, it will not appear in lists."},"params":{"type":"object","oneOf":[{"$ref":"#/components/schemas/CParamsDatadog"},{"$ref":"#/components/schemas/CParamsJira"},{"$ref":"#/components/schemas/CParamsMicrosoftTeams"},{"$ref":"#/components/schemas/CParamsMicrosoftTeamsWebhookOnly"},{"$ref":"#/components/schemas/CParamsServiceNow"},{"$ref":"#/components/schemas/CParamsAutotask"},{"$ref":"#/components/schemas/CParamsSlack"},{"$ref":"#/components/schemas/CParamsWebhook"},{"$ref":"#/components/schemas/CParamsZendesk"},{"$ref":"#/components/schemas/CParamsDiscord"},{"$ref":"#/components/schemas/CParamsGithub"},{"$ref":"#/components/schemas/CParamsTopdesk"},{"$ref":"#/components/schemas/CParamsAWSLambda"},{"$ref":"#/components/schemas/CParamsAzureFunction"},{"$ref":"#/components/schemas/CParamsGoogleFunction"},{"$ref":"#/components/schemas/CParamsEmail"},{"$ref":"#/components/schemas/CParamsSysdig"},{"$ref":"#/components/schemas/CParamsZapier"},{"$ref":"#/components/schemas/CParamsZoomChat"},{"$ref":"#/components/schemas/CParamsZoomMeeting"},{"$ref":"#/components/schemas/CParamsStatusPageIO"},{"$ref":"#/components/schemas/CParamsDingTalk"},{"$ref":"#/components/schemas/CParamsDingTalkAction"},{"$ref":"#/components/schemas/CParamsAutomationRule"},{"$ref":"#/components/schemas/CParamsTelegram"},{"$ref":"#/components/schemas/CParamsGoogleChat"},{"$ref":"#/components/schemas/CParamsGoogleChatWebhookOnly"},{"$ref":"#/components/schemas/CParamsZammad"},{"$ref":"#/components/schemas/CParamsAwsEventBridge"},{"$ref":"#/components/schemas/CParamsDynamic"},{"$ref":"#/components/schemas/CParamsSlackWebhookOnly"}]},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"integrationKey":{"type":"string","description":"Only returned for edge connector alert actions, and only to users with update permission.","readOnly":true},"connector":{"$ref":"#/components/schemas/Connector","description":"This is an include field, it is not available in the list resource"}}},"AlertSource":{"required":["escalationPolicy","integrationType","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"name":{"type":"string"},"iconUrl":{"type":"string"},"lightIconUrl":{"type":"string"},"darkIconUrl":{"type":"string"},"escalationPolicy":{"$ref":"#/components/schemas/EscalationPolicy"},"integrationType":{"$ref":"#/components/schemas/IntegrationType"},"integrationKey":{"type":"string"},"integrationUrl":{"type":"string","readOnly":true},"autoResolutionTimeout":{"type":"string","format":"ISO-8601"},"alertGroupingWindow":{"type":"string","format":"ISO-8601"},"alertCreation":{"type":"string","default":"ONE_OPEN_ALERT_ALLOWED","enum":["ONE_ALERT_PER_EMAIL","ONE_ALERT_PER_EMAIL_SUBJECT","ONE_PENDING_ALERT_ALLOWED","ONE_OPEN_ALERT_ALLOWED","OPEN_RESOLVE_ON_EXTRACTION","ONE_ALERT_GROUPED_PER_WINDOW","INTELLIGENT_GROUPING"]},"status":{"type":"string","readOnly":true,"enum":["PENDING","ALL_ACCEPTED","ALL_RESOLVED","IN_MAINTENANCE","DISABLED"]},"active":{"type":"boolean","default":true},"alertPriorityRule":{"$ref":"#/components/schemas/AlertPriorityRule"},"supportHours":{"$ref":"#/components/schemas/SupportHour"}
[...]
